package com.emr.dao.recordLock;

import com.emr.entity.recordLock.Emr_Lock;
import com.emr.vo.EmrLockVo;
import com.emr.vo.FontVo.LockVo;
import com.emr.vo.commomSearch.CommomVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_LockMapper {
    int insert(Emr_Lock record);

    int updateByPrimaryKeySelective(Emr_Lock record);

    List<Emr_Lock> selectLockListByStatus(@Param("lockStatus")Integer lockStatus);

    Emr_Lock selectLockByPatientId(@Param("patientId")String patientId,@Param("lockStatus")Integer lockStatus);

    void udpateUnlockByPatients(@Param("patientIds")String patientIds,@Param("unlocker")String unlocker,@Param("unlockeTime")String unlockeTime);

    List<LockVo> seleceAll(Emr_Lock record);

    List<Emr_Lock> selectLockByPatientIds(@Param("list") List<CommomVo> list,@Param("lockStatus")Integer lockStatus);

    int udpateLockByPatientIds(@Param("list") List<CommomVo> list,@Param("record") Emr_Lock record);

    int SimpleInsert(@Param("list") List<Emr_Lock> list);

    List<EmrLockVo> getLockList(EmrLockVo record);

    /**
     * 查询病案锁定数量
     * @return
     */
    int selectCountLocking();
}